package com.yc.ship.module.resource.service.car;

import com.yc.ship.framework.common.pojo.PageResult;
import com.yc.ship.module.resource.controller.admin.car.vo.*;
import com.yc.ship.module.resource.dal.dataobject.car.CarDO;

import javax.validation.Valid;
import java.util.List;

/**
 * 车辆管理 Service 接口
 *
 * @author 管理员
 */
public interface CarService {

    /**
     * 创建车辆管理
     *
     * @param createReqVO 创建信息
     * @return 编号
     */
    String createCar(@Valid CarSaveReqVO createReqVO);

    /**
     * 更新车辆管理
     *
     * @param updateReqVO 更新信息
     */
    void updateCar(@Valid CarSaveReqVO updateReqVO);

    /**
     * 删除车辆管理
     *
     * @param id 编号
     */
    void deleteCar(String id);

    /**
     * 获得车辆管理
     *
     * @param id 编号
     * @return 车辆管理
     */
    CarDO getCar(String id);

    /**
     * 获得车辆管理分页
     *
     * @param pageReqVO 分页查询
     * @return 车辆管理分页
     */
    PageResult<CarDO> getCarPage(CarPageReqVO pageReqVO);

    void supplyInfo(CarListRespVO respVO);

    /**
     * 获取精简数据，
     *
     * @return 车辆列表
     */
    List<CarDO> getSimpleCarList(CarPageReqVO pageReqVO);

    List<CarDO> getCarList();

    List<CarDO> getCarList(CarReqVO carReqVO);

    List<CarTypeNumRespVO> getstatiscisCarTypeNum();
}